Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jacob.vpu
Class JacobMessages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.jacob.vpu.JacobMessages

    public class JacobMessages

extends MessageBundle

Messages for the Jacob VPU.

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`JacobMessages()`

Method Summary
`java.lang.String` | `msgClientMethodException(java.lang.String methodName, java.lang.String className)` Error indicating that client-code (i.e.
`java.lang.String` | `msgMethodNotAccessible(java.lang.String methodName, java.lang.String className)` Internal error indicating that a required client method was not accessible due to security protections errors.

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JacobMessages

    public JacobMessages()

Method Detail

### msgClientMethodException

    public java.lang.String msgClientMethodException(java.lang.String methodName,
                                                     java.lang.String className)

  Error indicating that client-code (i.e. not the VPU kernel) threw an unexpected exception.

  Parameters:
    `methodName` - name of offending method
    `className` - name of offending class Method "{0}" in class "{1}" threw an unexpected exception.

### msgMethodNotAccessible

    public java.lang.String msgMethodNotAccessible(java.lang.String methodName,
                                                   java.lang.String className)

  Internal error indicating that a required client method was not accessible due to security protections errors. This may be caused by a change to the client class definitions. Method "{0}" in class "{1}" is not accessible.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD